Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/rpmlibprov.c File Reference

More...

`#include "system.h"`
`#include <rpmlib.h>`
`#include "rpmds.h"`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures
struct | rpmlibProvides_s
## Functions
void | rpmShowRpmlibProvides (FILE *fp)
int | rpmCheckRpmlibProvides (const rpmds key)
int | rpmGetRpmlibProvides (const char ***provNames, int **provFlags, const char ***provVersions)
## Variables
rpmlibProvides_s | rpmlibProvides []

## Detailed Description

Definition in file rpmlibprov.c.

## Function Documentation

int rpmCheckRpmlibProvides | ( | const rpmds | key | ) |

  | Check dependency against internal rpmlib feature provides. Parameters:
  key | dependency
Returns: 1 if dependency overlaps, 0 otherwise Definition at line 74 of file rpmlibprov.c. References rpmlibProvides_s::featureEVR, rpmlibProvides_s::featureFlags, rpmlibProvides_s::featureName, rpmds, rpmdsCompare, rpmdsFree, rpmdsSingle, and RPMTAG_PROVIDENAME. Referenced by unsatisfiedDepend.

int rpmGetRpmlibProvides | ( | const char *** | provNames,
|  | int ** | provFlags,
|  | const char *** | provVersions
| ) |

  | Return copy of rpmlib internal provides. Return values:
  provNames | address of array of rpmlib internal provide names
  provFlags | address of array of rpmlib internal provide flags
  provVersions | address of array of rpmlib internal provide versions
Returns: no. of entries Definition at line 93 of file rpmlibprov.c. References _free, rpmlibProvides_s::featureEVR, rpmlibProvides_s::featureFlags, rpmlibProvides_s::featureName, and xcalloc.

## Variable Documentation

struct rpmlibProvides_s rpmlibProvides[]`[static]`

| Initial value:
     {
        { "rpmlib(VersionedDependencies)",  "3.0.3-1",
            (RPMSENSE_RPMLIB|RPMSENSE_EQUAL),
         "PreReq:, Provides:, and Obsoletes: dependencies support versions."  },
        { "rpmlib(CompressedFileNames)",    "3.0.4-1",
            (RPMSENSE_RPMLIB|RPMSENSE_EQUAL),
         "file name(s) stored as (dirName,baseName,dirIndex) tuple, not as path." },
        { "rpmlib(PayloadIsBzip2)",         "3.0.5-1",
            (RPMSENSE_RPMLIB|RPMSENSE_EQUAL),
         "package payload is compressed using bzip2."  },
        { "rpmlib(PayloadFilesHavePrefix)", "4.0-1",
            (RPMSENSE_RPMLIB|RPMSENSE_EQUAL),
         "package payload file(s) have \"./\" prefix."  },
        { "rpmlib(ExplicitPackageProvide)", "4.0-1",
            (RPMSENSE_RPMLIB|RPMSENSE_EQUAL),
         "package name-version-release is not implicitly provided."  },
        { "rpmlib(HeaderLoadSortsTags)",    "4.0.1-1",
            (                RPMSENSE_EQUAL),
         "header tags are always sorted after being loaded."  },
        { "rpmlib(ScriptletInterpreterArgs)",    "4.0.3-1",
            (                RPMSENSE_EQUAL),
         "the scriptlet interpreter can use arguments from header."  },
        { "rpmlib(PartialHardlinkSets)",    "4.0.4-1",
            (                RPMSENSE_EQUAL),
         "a hardlink file set may be installed without being complete."  },
        { NULL,                             NULL, 0,        NULL }
    }
Definition at line 26 of file rpmlibprov.c.